Bug 836778 - [abrt]: [399721.210207] WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg+0x41/0x60 [i915]()
[abrt]: [399721.210207] WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_...
Status: CLOSED DUPLICATE of bug 809773
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:96239c61aa4ea9fff640954b231...
:
: 836779 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 05:10 EDT by Jan Kratochvil
Modified: 2013-01-22 15:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 15:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (4.92 KB, text/plain)
2012-07-01 05:10 EDT, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2012-07-01 05:10:07 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-1.fc16.x86_64 root=/dev/mapper/luks-c5e58ecd-0c77-492a-b32d-df70b934a38a ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks.uuid=luks-6876098d-700c-4303-8f49-2ebdbed26df2 KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.luks.uuid=luks-c5e58ecd-0c77-492a-b32d-df70b934a38a LANG=en_US.UTF-8 selinux=0 crashkernel=128M panic=10

backtrace:
:[399721.210207] WARNING: at drivers/gpu/drm/i915/i915_drv.c:398 gen6_gt_check_fifodbg+0x41/0x60 [i915]()
:[399721.210215] Hardware name: 4291EJ3
:[399721.210220] MMIO read or write has been dropped 3
:[399721.210227] Modules linked in: netconsole nfs fscache ppdev parport_pc lp parport hidp fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 xt_LOG nf_defrag_ipv6 xt_recent ip6table_filter xt_state ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 snd_hda_codec_hdmi snd_hda_codec_conexant snd_usb_audio snd_usbmidi_lib snd_rawmidi uvcvideo videobuf2_core videodev media btusb videobuf2_vmalloc videobuf2_memops coretemp bluetooth arc4 vhost_net snd_hda_intel snd_hda_codec snd_hwdep macvtap macvlan tun snd_seq snd_seq_device kvm_intel iwlwifi snd_pcm kvm mac80211 iTCO_wdt cfg80211 iTCO_vendor_support snd_timer snd_page_alloc e1000e uinput i2c_i801 microcode thinkpad_acpi rfkill snd soundcore nfsd lockd nfs_acl auth_rpcgss sunrpc btrfs zlib_deflate libcrc32c xts
:gf128mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: netconsole]
:[399721.210665] Pid: 2272, comm: Xorg Tainted: G        W    3.4.2-1.fc16.x86_64 #1
:[399721.210673] Call Trace:
:[399721.210693]  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
:[399721.210709]  [<ffffffff81057ad6>] warn_slowpath_fmt+0x46/0x50
:[399721.210727]  [<ffffffff812cb62a>] ? delay_tsc+0x4a/0x80
:[399721.210756]  [<ffffffffa00772d1>] gen6_gt_check_fifodbg+0x41/0x60 [i915]
:[399721.210784]  [<ffffffffa007782a>] __gen6_gt_force_wake_put+0x1a/0x20 [i915]
:[399721.210811]  [<ffffffffa0077ceb>] i915_read32+0x10b/0x130 [i915]
:[399721.210846]  [<ffffffffa00b67a0>] intel_ring_get_active_head+0x30/0x40 [i915]
:[399721.210879]  [<ffffffffa00b67f5>] gen6_ring_get_seqno+0x45/0x50 [i915]
:[399721.210909]  [<ffffffffa0088b90>] i915_wait_request+0x60/0x4e0 [i915]
:[399721.210943]  [<ffffffffa0089093>] ? i915_gem_flush_ring+0x43/0x1f0 [i915]
:[399721.210955]  [<ffffffff8116a71b>] ? kfree+0x3b/0x150
:[399721.210984]  [<ffffffffa0089047>] i915_gem_object_wait_rendering+0x37/0x40 [i915]
:[399721.211013]  [<ffffffffa008fc7a>] i915_gem_do_execbuffer+0xaca/0x1610 [i915]
:[399721.211044]  [<ffffffffa0090cbe>] i915_gem_execbuffer2+0xae/0x290 [i915]
:[399721.211072]  [<ffffffffa00213cc>] drm_ioctl+0x47c/0x540 [drm]
:[399721.211105]  [<ffffffffa0090c10>] ? i915_gem_execbuffer+0x450/0x450 [i915]
:[399721.211117]  [<ffffffff810143f4>] ? do_signal+0x194/0x5d0
:[399721.211126]  [<ffffffff8101d39e>] ? __switch_to_xtra+0x14e/0x180
:[399721.211136]  [<ffffffff8101dc72>] ? fpu_finit+0x22/0x40
:[399721.211145]  [<ffffffff8101ebbb>] ? check_for_xstate+0x3b/0xc0
:[399721.211156]  [<ffffffff81191098>] do_vfs_ioctl+0x98/0x550
:[399721.211168]  [<ffffffff810d0cd6>] ? __audit_syscall_exit+0x3d6/0x410
:[399721.211184]  [<ffffffff811915e1>] sys_ioctl+0x91/0xa0
:[399721.211198]  [<ffffffff816005c7>] ? int_check_syscall_exit_work+0x34/0x3d
:[399721.211210]  [<ffffffff81600329>] system_call_fastpath+0x16/0x1b
Comment 1 Jan Kratochvil 2012-07-01 05:10:12 EDT
Created attachment 595509 [details]
File: smolt_data
Comment 2 Jan Kratochvil 2012-07-01 05:11:57 EDT
*** Bug 836779 has been marked as a duplicate of this bug. ***
Comment 3 Jan Kratochvil 2012-08-20 11:35:58 EDT
[948221.239] (EE) intel(0): Detected a hung GPU, disabling acceleration.
[948221.240] (EE) intel(0): When reporting this, please include i915_error_state from debugfs and the full dmesg.

# cat /debugfs/dri/*/i915_error_state
cat: /debugfs/dri/0/i915_error_state: Cannot allocate memory
cat: /debugfs/dri/64/i915_error_state: Cannot allocate memory

cat: page allocation failure: order:8, mode:0x40d0
Pid: 5902, comm: cat Tainted: G        W    3.4.7-1.openvpn.fc16.x86_64 #1
Node 0 DMA: 0*4kB 0*8kB 0*16kB 0*32kB 2*64kB 1*128kB 1*256kB 0*512kB 1*1024kB 1*2048kB 3*4096kB = 15872kB
Node 0 DMA32: 42391*4kB 7400*8kB 1230*16kB 2199*32kB 490*64kB 162*128kB 51*256kB 12*512kB 1*1024kB 0*2048kB 0*4096kB = 391132kB
Node 0 Normal: 29505*4kB 4*8kB 0*16kB 1*32kB 1*64kB 1*128kB 1*256kB 1*512kB 1*1024kB 0*2048kB 0*4096kB = 120068kB
Comment 4 Jan Kratochvil 2012-08-25 06:38:30 EDT
Not sure if it is related but with mplayer I have to use '-vo x11' otherwise (default I guess '-vo xv') it displays corrupted black screen, not saying anything interesting.

And Firefox sometimes quits not saying anything:
mesa-dri-drivers-7.11.2-3.fc16.x86_64

(gdb) frame
#1  0x00007fffd1152fe4 in do_flush_locked (intel=0x7fffd7458000) at intel_batchbuffer.c:139
139	      exit(1);

(gdb) bt
#0  __GI_exit (status=1) at exit.c:100
#1  0x00007fffd1152fe4 in do_flush_locked (intel=0x7fffd7458000) at intel_batchbuffer.c:139
#2  _intel_batchbuffer_flush (line=<optimized out>, file=<optimized out>, intel=0x7fffd7458000) at intel_batchbuffer.c:181
#3  _intel_batchbuffer_flush (intel=0x7fffd7458000, file=<optimized out>, line=<optimized out>) at intel_batchbuffer.c:145
#4  0x00007fffd1156d39 in intel_glFlush (ctx=0x7fffd7458000) at intel_context.c:535
#5  0x00007fffd11cb219 in _mesa_make_current (newCtx=0x0, drawBuffer=0x0, readBuffer=0x0) at main/context.c:1436
#6  0x00007fffd1158e0f in intelUnbindContext (driContextPriv=<optimized out>) at intel_context.c:935
#7  0x00007fffd114d896 in driUnbindContext (pcp=0x7fffd2c7e100) at ../common/dri_util.c:117
#8  0x0000003f5e4295fd in MakeContextCurrent (dpy=0x7ffff7da1000, draw=0, read=0, gc_user=0x0) at glxcurrent.c:255
#9  0x0000003f56c83c68 in xMakeCurrent (context=0x0, drawable=0, display=<optimized out>, this=0x3f5795de00) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/gfx/gl/GLContextProviderGLX.cpp:432
#10 mozilla::gl::GLContextGLX::~GLContextGLX (this=0x7fffd7315800, __in_chrg=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/gfx/gl/GLContextProviderGLX.cpp:756
#11 0x0000003f56c83cb7 in mozilla::gl::GLContextGLX::~GLContextGLX (this=0x7fffd7315800, __in_chrg=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/gfx/gl/GLContextProviderGLX.cpp:765
#12 0x0000003f56558084 in Release (this=<optimized out>) at ../../../dist/include/GLContext.h:530
#13 mozilla::gl::GLContext::Release (this=<optimized out>) at ../../../dist/include/GLContext.h:530
#14 0x0000003f5655a093 in assign_assuming_AddRef (newPtr=0x0, this=0x7fffd7bd9040) at ../../../dist/include/nsAutoPtr.h:896
#15 assign_with_AddRef (rawPtr=0x0, this=0x7fffd7bd9040) at ../../../dist/include/nsAutoPtr.h:880
#16 operator= (rhs=0x0, this=0x7fffd7bd9040) at ../../../dist/include/nsAutoPtr.h:964
#17 mozilla::WebGLContext::DestroyResourcesAndContext (this=0x7fffd7bd9000) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/content/canvas/src/WebGLContext.cpp:257
#18 0x0000003f5655a9db in mozilla::WebGLContext::~WebGLContext (this=0x7fffd7bd9000, __in_chrg=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/content/canvas/src/WebGLContext.cpp:194
#19 0x0000003f5655ac25 in mozilla::WebGLContext::~WebGLContext (this=0x7fffd7bd9000, __in_chrg=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/content/canvas/src/WebGLContext.cpp:198
#20 0x0000003f56557d88 in Release (this=0x7fffd7bd9000) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/content/canvas/src/WebGLContext.cpp:1191
#21 mozilla::WebGLContext::Release (this=0x7fffd7bd9000) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/content/canvas/src/WebGLContext.cpp:1191
#22 0x0000003f56bd6b92 in nsXPCOMCycleCollectionParticipant::Unroot (this=<optimized out>, p=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/objdir/xpcom/build/nsCycleCollectionParticipant.cpp:76
#23 0x0000003f56c0c881 in nsCycleCollector::CollectWhite (this=0x7fffede38000, aListener=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/base/nsCycleCollector.cpp:2465
#24 0x0000003f56c0c8d8 in nsCycleCollector::FinishCollection (this=0x7fffede38000, aListener=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/base/nsCycleCollector.cpp:3273
#25 0x0000003f56c0cabc in nsCycleCollectorRunner::Collect (this=0x7ffff7deda60, aResults=0x7fffffff90b4, aListener=0x0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/base/nsCycleCollector.cpp:3970
#26 0x0000003f56c0cc68 in nsCycleCollector_collect (aResults=0x7fffffff90b4, aListener=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/base/nsCycleCollector.cpp:4058
#27 0x0000003f56670f2f in CycleCollectNow (aExtraForgetSkippableCalls=0, aListener=0x0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/dom/base/nsJSEnvironment.cpp:2967
#28 nsJSContext::CycleCollectNow (aListener=0x0, aExtraForgetSkippableCalls=0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/dom/base/nsJSEnvironment.cpp:2937
#29 0x0000003f56671485 in CCTimerFired (aTimer=<optimized out>, aClosure=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/dom/base/nsJSEnvironment.cpp:3158
#30 CCTimerFired (aTimer=<optimized out>, aClosure=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/dom/base/nsJSEnvironment.cpp:3119
#31 0x0000003f56c04412 in nsTimerImpl::Fire (this=0x7fffdf22c740) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/threads/nsTimerImpl.cpp:508
#32 0x0000003f56c04501 in nsTimerEvent::Run (this=<optimized out>) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/threads/nsTimerImpl.cpp:591
#33 0x0000003f56c018a7 in nsThread::ProcessNextEvent (this=0x7ffff7d1de80, mayWait=true, result=0x7fffffff924f) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xpcom/threads/nsThread.cpp:656
#34 0x0000003f56bd6a75 in NS_ProcessNextEvent_P (thread=<optimized out>, mayWait=true) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/objdir/xpcom/build/nsThreadUtils.cpp:245
#35 0x0000003f56b5f45b in mozilla::ipc::MessagePump::Run (this=0x7ffff7dea900, aDelegate=0x7ffff7de4240) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/ipc/glue/MessagePump.cpp:145
#36 0x0000003f56c1fe8f in RunHandler (this=0x7ffff7de4240) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/ipc/chromium/src/base/message_loop.cc:201
#37 MessageLoop::Run (this=0x7ffff7de4240) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/ipc/chromium/src/base/message_loop.cc:175
#38 0x0000003f56ad9726 in nsBaseAppShell::Run (this=0x7fffec44c0b0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/widget/xpwidgets/nsBaseAppShell.cpp:189
#39 0x0000003f569ae846 in nsAppStartup::Run (this=0x7fffec486dd0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/toolkit/components/startup/nsAppStartup.cpp:295
#40 0x0000003f5621697d in XREMain::XRE_mainRun (this=0x7fffffff9560) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3780
#41 0x0000003f56218e0d in XREMain::XRE_main (this=0x7fffffff9560, argc=<optimized out>, argv=0x7fffffffd988, aAppData=0x7ffff7d570f0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3857
#42 0x0000003f56219056 in XRE_main (argc=1, argv=0x7fffffffd988, aAppData=0x7ffff7d570f0) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/toolkit/xre/nsAppRunner.cpp:3933
#43 0x0000000000402982 in main (argc=1, argv=0x7fffffffd988) at /usr/src/debug/xulrunner-14.0.1/mozilla-release/xulrunner/stub/nsXULStub.cpp:516
Comment 5 Fedora End Of Life 2013-01-16 05:06:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Adam Jackson 2013-01-22 15:03:37 EST

*** This bug has been marked as a duplicate of bug 809773 ***

Note You need to log in before you can comment on or make changes to this bug.